Drop-in प्रतिस्थापन
अनुकूलOpenAI र Anthropic SDK हरूसँग काम गर्छ। केवल base URL परिवर्तन गर्नुहोस्।
सबै भाषा समान छन्। तपाईंले प्रयोग गर्न चाहेको भाषा छान्नुहोस्।
फङ्क्शन कलिङ, वेब खोज र संरचित आउटपुट सहित OpenAI र Anthropic अनुकूल AI API।
Shannon को OpenAI र Anthropic अनुकूल API सँग सुरु गर्न आवश्यक सबै कुरा।
https://api.shannon-ai.com/v1/chat/completions Chat Completions API लाई फङ्क्शन कलिङ र स्ट्रिमिङसँग प्रयोग गर्नुहोस्।
https://api.shannon-ai.com/v1/messages Claude Messages ढाँचा उपकरणहरू र anthropic-version हेडरसहित।
Authorization: Bearer <api-key> वा Claude शैलीका कलहरूका लागि X-API-Key र anthropic-version।
सार्वजनिक प्रलेखन - कल गर्न की आवश्यक स्ट्रिमिङ, फङ्क्शन कलिङ, संरचित आउटपुट, वेब खोज।
OpenAI र Anthropic API हरूको drop-in प्रतिस्थापन; उपकरण, संरचित आउटपुट र built-in वेब खोज समर्थन।
OpenAI र Anthropic SDK हरूसँग काम गर्छ। केवल base URL परिवर्तन गर्नुहोस्।
उपकरणहरू परिभाषित गर्नुहोस्, Shannon लाई तिनीहरू कल गर्न दिनुहोस्। auto, forced, none मोडहरू समर्थित छन्।
स्रोत उद्धरणसहित वास्तविक समय वेब खोज। स्वतः उपलब्ध।
विश्वसनीय डेटा निकासीका लागि JSON मोड र JSON Schema लागू।
स्वचालित फङ्क्शन एक्सिक्युशन लूपहरू। प्रति अनुरोध 10 पुनरावृत्तिसम्म।
रियल-टाइम टोकन स्ट्रिमिङका लागि Server-sent events।
तीन चरणमा सुरु गर्नुहोस्। Shannon ले OpenAI र Anthropic क्लाइन्टहरू प्रतिबिम्बित गर्छ।
OpenAI-अनुकूल endpoint प्रयोग गर्नुहोस्।
https://api.shannon-ai.com/v1/chat/completions Authorization हेडरमा Bearer auth प्रयोग गर्नुहोस्।
भाषा छान्नुहोस् र आफ्नो की परिवर्तन गर्नुहोस्।
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'system', content: 'You are a helpful assistant.' },
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-1.6-lite",
Messages: []openai.ChatCompletionMessage{
{Role: "system", Content: "You are a helpful assistant."},
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-1.6-lite",
"messages": [
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' {
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1234567890,
"model": "Shannon 1.6 Lite",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 25,
"completion_tokens": 18,
"total_tokens": 43
}
} Shannon API लाई ब्राउजरमै परीक्षण गर्नुहोस्। आफ्नो अनुरोध बनाउनुहोस्, चलाउनुहोस् र वास्तविक समयको जवाफ हेर्नुहोस्।
Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.
Run real requests, inspect raw JSON, and view stream events from the same operator console.
Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.
/ne/docs/playground The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.
सबै API अनुरोधहरूमा तपाईंको Shannon API की प्रयोग गरी प्रमाणीकरण आवश्यक छ।
Authorization: Bearer YOUR_API_KEY X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01 Shannon ले विभिन्न उपयोगका लागि अप्टिमाइज्ड धेरै मोडेलहरू प्रदान गर्छ।
shannon-1.6-lite Shannon 1.6 Lite दैनिक कामका लागि छिटो र कुशल जवाफ
shannon-1.6-pro Shannon 1.6 Pro जटिल समस्याका लागि उन्नत तर्क
shannon-2-lite Shannon 2 Lite
shannon-2-pro Shannon 2 Pro
shannon-coder-1 Shannon Coder Claude Code CLI का लागि कल-आधारित कोटासहित अनुकूलित
Shannon ले कार्यहरू गर्न वा जानकारी ल्याउन कल गर्न सक्ने उपकरणहरू परिभाषित गर्नुहोस्।
from openai import OpenAI
import json
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Define available tools/functions
tools = [
{
"type": "function",
"function": {
"name": "get_weather",
"description": "Get current weather for a location",
"parameters": {
"type": "object",
"properties": {
"location": {
"type": "string",
"description": "City name, e.g., 'Tokyo'"
},
"unit": {
"type": "string",
"enum": ["celsius", "fahrenheit"]
}
},
"required": ["location"]
}
}
}
]
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
tools=tools,
tool_choice="auto"
)
# Check if model wants to call a function
if response.choices[0].message.tool_calls:
tool_call = response.choices[0].message.tool_calls[0]
print(f"Function: {tool_call.function.name}")
print(f"Arguments: {tool_call.function.arguments}") import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const tools = [
{
type: 'function',
function: {
name: 'get_weather',
description: 'Get current weather for a location',
parameters: {
type: 'object',
properties: {
location: { type: 'string', description: "City name" },
unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
},
required: ['location']
}
}
}
];
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
tools,
tool_choice: 'auto'
});
if (response.choices[0].message.tool_calls) {
const toolCall = response.choices[0].message.tool_calls[0];
console.log('Function:', toolCall.function.name);
console.log('Arguments:', toolCall.function.arguments);
} "auto" मोडेलले फङ्क्शन कल गर्ने/नगर्ने निर्णय गर्छ (डिफल्ट) "none" यस अनुरोधका लागि फङ्क्शन कलिङ बन्द गर्नुहोस् {"type": "function", "function": {"name": "..."}} निर्दिष्ट फङ्क्शन कल बाध्य गर्नुहोस् {
"id": "chatcmpl-xyz",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": null,
"tool_calls": [
{
"id": "call_abc123",
"type": "function",
"function": {
"name": "get_weather",
"arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
}
}
]
},
"finish_reason": "tool_calls"
}
]
} Shannon लाई तपाईंको schema अनुसार मान्य JSON फर्काउन बाध्य गर्नुहोस्।
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Force JSON output with schema
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
],
response_format={
"type": "json_schema",
"json_schema": {
"name": "person_info",
"schema": {
"type": "object",
"properties": {
"name": {"type": "string"},
"age": {"type": "integer"},
"occupation": {"type": "string"}
},
"required": ["name", "age", "occupation"]
}
}
}
)
import json
data = json.loads(response.choices[0].message.content)
print(data) # {"name": "John Doe", "age": 30, "occupation": "engineer"} import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
],
response_format: {
type: 'json_schema',
json_schema: {
name: 'person_info',
schema: {
type: 'object',
properties: {
name: { type: 'string' },
age: { type: 'integer' },
occupation: { type: 'string' }
},
required: ['name', 'age', 'occupation']
}
}
}
});
const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" } {"type": "json_object"} मान्य JSON आउटपुट बाध्य गर्नुहोस् (विशिष्ट schema बिना) {"type": "json_schema", "json_schema": {...}} ठ्याक्कै तपाईंको schema अनुरूप आउटपुट बाध्य गर्नुहोस् उत्तरदायी UI का लागि Server-Sent Events सँग रियल-टाइम टोकन स्ट्रिमिङ सक्षम गर्नुहोस्।
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Enable streaming for real-time responses
stream = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Write a short poem about AI"}
],
stream=True
)
for chunk in stream:
if chunk.choices[0].delta.content:
print(chunk.choices[0].delta.content, end="", flush=True) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Write a short poem about AI' }
],
stream: true
});
for await (const chunk of stream) {
const content = chunk.choices[0]?.delta?.content;
if (content) process.stdout.write(content);
} Shannon ले स्वचालित रूपमा उपलब्ध web_search फङ्क्शन समेट्छ।
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Web search is automatically available!
# Shannon will use it when needed for current information
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "What are the latest AI news today?"}
],
# Optionally, explicitly define web_search tool
tools=[{
"type": "function",
"function": {
"name": "web_search",
"description": "Search the web for current information",
"parameters": {
"type": "object",
"properties": {
"query": {"type": "string", "description": "Search query"}
},
"required": ["query"]
}
}
}]
)
print(response.choices[0].message.content)
# Response includes sources and citations import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Web search is automatically available!
// Shannon will use it when needed for current information
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'What are the latest AI news today?' }
],
// Optionally, explicitly define web_search tool
tools: [{
type: 'function',
function: {
name: 'web_search',
description: 'Search the web for current information',
parameters: {
type: 'object',
properties: {
query: { type: 'string', description: 'Search query' }
},
required: ['query']
}
}
}]
});
console.log(response.choices[0].message.content);
// Response includes sources and citations Shannon ले Anthropic Messages API ढाँचालाई पनि समर्थन गर्छ।
https://api.shannon-ai.com/v1/messages import anthropic
client = anthropic.Anthropic(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/messages"
)
response = client.messages.create(
model="shannon-1.6-lite",
max_tokens=1024,
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
# Tool use (Anthropic format)
tools=[{
"name": "web_search",
"description": "Search the web",
"input_schema": {
"type": "object",
"properties": {
"query": {"type": "string"}
},
"required": ["query"]
}
}]
)
print(response.content[0].text) import Anthropic from '@anthropic-ai/sdk';
const client = new Anthropic({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/messages'
});
const response = await client.messages.create({
model: 'shannon-1.6-lite',
max_tokens: 1024,
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
// Tool use (Anthropic format)
tools: [{
name: 'web_search',
description: 'Search the web',
input_schema: {
type: 'object',
properties: {
query: { type: 'string' }
},
required: ['query']
}
}]
});
console.log(response.content[0].text); कुनै पनि OpenAI वा Anthropic SDK प्रयोग गर्नुहोस् — केवल base URL परिवर्तन गर्नुहोस्।
आधिकारिक OpenAI Python SDK — Shannon सँग काम गर्छ
pip install openai आधिकारिक OpenAI Node.js SDK — Shannon सँग काम गर्छ
npm install openai OpenAI-अनुकूल API का लागि समुदाय Go क्लाइन्ट
go get github.com/sashabaranov/go-openai OpenAI-अनुकूल API का लागि समुदाय Ruby क्लाइन्ट
gem install ruby-openai OpenAI-अनुकूल API का लागि समुदाय PHP क्लाइन्ट
composer require openai-php/client OpenAI-अनुकूल API का लागि Async Rust क्लाइन्ट
cargo add async-openai आधिकारिक Anthropic Python SDK — Shannon सँग काम गर्छ
pip install anthropic आधिकारिक Anthropic TypeScript SDK — Shannon सँग काम गर्छ
npm install @anthropic-ai/sdk Shannon ले मानक HTTP स्थिति कोड प्रयोग गर्छ र विस्तृत त्रुटि सन्देश फिर्ता गर्छ।
{
"error": {
"message": "Invalid API key provided",
"type": "authentication_error",
"code": "invalid_api_key"
}
} Shannon API को हालैका अपडेट र सुधारहरू।
YOUR_API_KEY आफ्नो API की गोप्य राख्नुहोस्। पुनःजेनरेट गर्दा नयाँ की बन्न्छ र पुरानो अमान्य हुन्छ।
साइन इन भएपछि यस पृष्ठमा टोकन र खोज खर्च हेर्नुहोस्।
Shannon Coder (shannon-coder-1) का लागि कल-आधारित कोटा। प्रत्येक 4 घण्टामा रिसेट हुन्छ।
API की प्राप्त गर्नुहोस् र आजै Shannon AI सँग बनाउनुहोस्।
लोकप्रिय खोजहरू: